Package helma.objectmodel.db

# Interface Key

All Known Implementing Classes:
  `DbKey`, `MultiKey`, `SyntheticKey`

public interface Key
This is the interface for the internal representation of an object key.

## Method Summary

Modifier and Type
Method
Description
`String`
`getID()`
Get the key's ID part
`Key`
`getParentKey()`
Get the key's parent key
`String`
`getStorageName()`
Get the key's storage type name

## Method Details

### getParentKey

Key getParentKey()
Get the key's parent key

Returns:
  ...

### getID

String getID()
Get the key's ID part

Returns:
  ...

### getStorageName

String getStorageName()
Get the key's storage type name

Returns:
  ...